import { CreateElement } from 'vue';
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("../config-provider/type").IconConfig;
}, {
    timer: any;
}, {
    setTimer(): void;
    clearTimer(): void;
    close(e?: MouseEvent): void;
    renderIcon(h: CreateElement): import("vue/types/vnode").ScopedSlotReturnValue;
    renderClose(): JSX.Element;
    renderContent(): JSX.Element;
}, unknown, {
    closeBtn: any;
    content: string | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    duration: number;
    footer: string | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    icon: boolean | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    theme: import("./type").NotificationThemeList;
    title: string | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onCloseBtnClick: (context: {
        e: MouseEvent;
    }) => void;
    onDurationEnd: () => void;
}>;
export default _default;
